#!/usr/bin/env python
# 
# ESA (C) 2000-2021 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.


import pysas.pymakethumbs.pymakethumbs as mthumbs


def test_general():
    iparsdic = dict()
    iparsdic.update({'printparams' : 'no'})
    iparsdic.update({'withsrclist' : 'yes'})
    iparsdic.update({'imageset' : './testdata/P0094411101M1U002IMAGE_8000.FIT'})
    iparsdic.update({'srclisttab' : './testdata/P0094411101EPX000OBSMLI0000.FIT'})
    iparsdic.update({'withcoords' : 'no'})
    iparsdic.update({'ra' : '0'})
    iparsdic.update({'dec' : '0'})
    iparsdic.update({'withcat' : 'no'})
    iparsdic.update({'cattab' : './testdata/testcat.fits'})
    iparsdic.update({'dryrun' : 'no'})
    iparsdic.update({'srcnum': '0'})
    iparsdic.update({'withsrcnum' : 'no'})
    
    # text and title
    iparsdic.update({'outfilename' : ''})
    iparsdic.update({'fnamestyle' : 'srcnum'})
    iparsdic.update({'gifsuffix' : '.gif'})
    iparsdic.update({'gifroot' : 'pytest'})
    iparsdic.update({'autofname' : 'yes'})
    iparsdic.update({'fnameseparator' : '____'})
    iparsdic.update({'srcindexstyle' : 'DEFAULT'})
    iparsdic.update({'srcindexseparator' : 'DEFAULT'})
    iparsdic.update({'iaunameprefix' : ''})

    # text to add
    iparsdic.update({'erangestr' : '3-12 keV'})
    iparsdic.update({'obsidstr' : 'DEFAULT'})
    iparsdic.update({'inststr' : 'DEFAULT'})
    iparsdic.update({'commupper' : 'commupper'})
    iparsdic.update({'commlower' : 'commlow'})

    # plotting parameters
    iparsdic.update({'imagesize' : '6'})
    iparsdic.update({'colourmapid' : 'blue'})
    iparsdic.update({'fontnumber' : '0'})
    iparsdic.update({'sizeratiocross' : '1'})
    iparsdic.update({'lwidth' : 1})

    mthumbs.run(iparsdic)

    return True

